Text Rotation inside UCS
Hi All,
Is there any way to have text rotation relative to a UCS instead of World?
I.e. the text in the image is set to 0 rotation. I would like to put all text on a 30 degree angle relative to the UCS which is how my viewport is set up. I can't see a way to do this without measuring my UCS angle and using that to adjust rotation, which isn't a huge inconvenience but does seem like it could be smarter.
Ash
Is there any way to have text rotation relative to a UCS instead of World?
I.e. the text in the image is set to 0 rotation. I would like to put all text on a 30 degree angle relative to the UCS which is how my viewport is set up. I can't see a way to do this without measuring my UCS angle and using that to adjust rotation, which isn't a huge inconvenience but does seem like it could be smarter.
Ash
0
Comments
-
You can use this to get the relative angle to WCS-angle and copy the result to clipboard:
(defun c:rta( / ax )
(setq ax (angle (trans '(0 0) 1 0) (trans '(1 0) 1 0)))
(setq ax (rtd ax))
(setq ax (+ ax (getreal "Enter relativ Textangle: ")))
)
Mathias0